Subject: Re: Question on netif_tx_queue_stopped

From: Ben Greear <[email-masked]>
Date: Tue, 27 Jan 2009 22:12:43 -0800

David Miller wrote:
> From: Ben Greear <[email-masked]>
> Date: Tue, 27 Jan 2009 22:05:01 -0800
>
>   
>> I'm doing some tests with pktgen and the 8139too (realtek) driver
>> in kernel 2.6.29-rc2.
>>
>> It seems that netif_tx_queue_stopped will return false fairly often even if the
>> cable is pulled from the NIC.
>>
>> Is that expected?
>>     
>
> Yep.
>
> Pulling the cable out only effects netif_carrier_ok().
>   
Thanks.  I'll just add a check for that as well before I try to transmit.

Thanks,
Ben

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>   

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com